﻿using FrozenFishWeb.Models;
using System;
using System.Collections.Generic;
using System.Web.Mvc;

namespace FrozenFishWeb.Controllers {
	public class ProduitController : Controller {

		private List<Produit> desProduits;

		public ProduitController() {
			desProduits = new List<Produit>() { new Produit() { Id=8, Nom = "MCM5", Marque = "Phillips", DateAchat = new DateTime(2013, 10, 25), DureeGarantie = 2 },
				new Produit() {Id=1, Nom = "One S", Marque = "HTC", DateAchat = new DateTime(2014, 07, 09), DureeGarantie = 2 },
				new Produit() {Id=2, Nom = "PlayStation 4 Pro", Marque = "Sony", DateAchat = new DateTime(2016, 09, 17), DureeGarantie = 2 },
				new Produit() {Id=3, Nom = "GogaWorks T20 Serie 2", Marque = "Creative", DateAchat = new DateTime(2012, 07, 27), DureeGarantie = 1 },
				new Produit() {Id=4, Nom = "MDR 10RBT", Marque = "Sony", DateAchat = new DateTime(2014, 11, 30), DureeGarantie = 1 },
				new Produit() {Id=5, Nom = "N550JK", Marque = "ASUS", DateAchat = new DateTime(2014, 02, 01), DureeGarantie = 1 },
				new Produit() {Id=6, Nom = "70D", Marque = "Canon", DateAchat = new DateTime(2013, 10, 25), DureeGarantie = 2 },
				new Produit() {Id=7, Nom = "LIC Bloom White", Marque = "Phillips", DateAchat = new DateTime(2013, 06, 04), DureeGarantie = 2 }
				};
		}

		// GET: Product
		public ActionResult List() {
			return View("List", desProduits);
		}


		public ActionResult Details(int id) {
			return View("Details", (Produit)desProduits[id]);
		}

		public ActionResult Edit(int id) {
			return View("Edit", (Produit)desProduits[id]);
		}

		public ActionResult Delete() {
			throw new NotImplementedException();
		}

		public ActionResult Create() {
			// Reçoi des données en POST à ajouter à la BDD
			//if ( Recoi des données en POST && Bien sauvegardé en BDD ) {
			// Go vers la liste
			// Else {
			// Go vers Add avec un message d'erreur
			return View("Add");
		}
	}
}